Skip to content

Download Workflow Activity Log

Download the daily log of workflow operations in your Vault. Learn more about Workflow Activity logs in Vault Help.

GET/api/{version}/logs/workflow/{date}/file
NameDescription
Acceptapplication/json (default) or application/xml
NameDescription
{date}The date of the requested Workflow Activity log. Date is in UTC and follows the format YYYY-MM-DD. Cannot be more than 90 days in the past.
curl -X GET -H "Authorization: {SESSION_ID}" \ https://myvault.veevavault.com/api/v26.1/logs/workflow/2026-01-17/file
Content-Type: application/octet-stream Content-Disposition: attachment;filename*=UTF-8''19523-WorkflowActivity-2026-01-17.zip

On SUCCESS, Vault retrieves the log from the specified date as a .ZIP file. The HTTP Response Header Content-Type is set to application/octet-stream, and the HTTP Response Header Content-Disposition contains a filename component which can be used when naming the local file.